package ru.yandex.autotests.direct.web.objects.groups.feedfilter;

import java.util.List;

import ru.yandex.autotests.direct.web.data.groupenums.SettingsModelEnum;

/**
 * Created by ssdmitriev on 23.11.15.
 */
public class FeedFilterBase {
    private String filterId;
    private String name;
    private SettingsModelEnum settingsModelEnum;
    private FeedFilterTree feedFilterTree;
    private List<FeedFilterCondition> feedFilterConditions;
    private Boolean available;

    public String getFilterId() {
        return filterId;
    }

    public void setFilterId(String filterId) {
        this.filterId = filterId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public SettingsModelEnum getSettingsModelEnum() {
        return settingsModelEnum;
    }

    public void setSettingsModelEnum(SettingsModelEnum settingsModelEnum) {
        this.settingsModelEnum = settingsModelEnum;
    }

    public FeedFilterTree getFeedFilterTree() {
        return feedFilterTree;
    }

    public void setFeedFilterTree(FeedFilterTree feedFilterTree) {
        this.feedFilterTree = feedFilterTree;
    }

    public List<FeedFilterCondition> getFeedFilterConditions() {
        return feedFilterConditions;
    }

    public void setFeedFilterConditions(List<FeedFilterCondition> feedFilterConditions) {
        this.feedFilterConditions = feedFilterConditions;
    }

    public Boolean getAvailable() {
        return available;
    }

    public void setAvailable(Boolean available) {
        this.available = available;
    }
}
